Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# Persistent_Context_Index.h File Reference

`#include "Persistent_Entries.h"`
`#include "naming_export.h"`
`#include "nsconf.h"`
`#include "tao/PortableServer/PortableServer.h"`
`#include "ace/Malloc.h"`

Include dependency graph for Persistent_Context_Index.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | TAO_Persistent_Context_Index
| This class facilitates implementation of Persistent Naming Service. It keeps track, centrally, of several pieces of info for each Persistent Naming Context, allowing to perform the initialization necessary for each Naming Context to restore the state of the Naming Service from persistent storage on server start-up. More...

## Detailed Description

Id:
  Persistent_Context_Index.h,v 1.21 2003/07/21 23:51:32 dhinton Exp

Author:
  Marina Spivak <marina@cs.wustl.edu>